module Tickethub

  def self.endpoint=(path)
    @path = path
  end

  def self.endpoint(options = {})
    Endpoint.new @path || 'https://api.ticketinghub.com', options.merge(format: :json,
      headers: { 'Accept-Version' => 'v1', 'Accept' => 'application/json' })
  end

  require_relative 'tickethub/helpers'

  require_relative 'tickethub/connection'
  require_relative 'tickethub/request'
  require_relative 'tickethub/response'
  require_relative 'tickethub/formats'
  require_relative 'tickethub/exceptions'
  require_relative 'tickethub/endpoint'

  require_relative 'tickethub/resource'
  require_relative 'tickethub/collection'
  require_relative 'tickethub/errors'

  require_relative 'tickethub/token'
  require_relative 'tickethub/supplier'
  require_relative 'tickethub/channel'
  require_relative 'tickethub/user'
end