module Tickethub
  class Aggregate

    def initialize(collection, group)
      @group = Array group.dup
      @collection = collection
    end

    def minimum(field)
      @collection.get aggregate: { field: field, group: @group, operation: 'minimum' }
    end

    alias_method :min, :minimum

    def maximum(field)
      @collection.get aggregate: { field: field, group: @group, operation: 'maximum' }
    end

    alias_method :max, :maximum

    def average(field)
      @collection.get aggregate: { field: field, group: @group, operation: 'average' }
    end

    alias_method :avg, :average

    def sum(field)
      @collection.get aggregate: { field: field, group: @group, operation: 'sum' }
    end

    def count(field = :id)
      @collection.get aggregate: { field: field, group: @group, operation: 'count' }
    end
  end
end