require_relative '../resource'

module Tickethub
  class Channel::Booking < Resource
    path '/channel/bookings'

    require_relative 'order'
    require_relative 'answer'
    require_relative 'product'
    require_relative 'variant'
    require_relative 'purchase'
    require_relative 'discount'
    require_relative 'fee'
    require_relative 'tier'
    require_relative 'ticket'

    collection :answers, Channel::Answer
    collection :purchases, Channel::Purchase
    collection :fees, Channel::Fee
    collection :tiers, Channel::Tier
    collection :tickets, Channel::Ticket
    collection :discounts, Channel::Discount

    association :order, Channel::Order
    association :product, Channel::Product
    association :variant, Channel::Variant

    attribute :expires_on, type: :date
    attribute :valid_from, type: :datetime

    attribute :amount, type: :money
    attribute :discount, type: :money
    attribute :tax, type: :money
    attribute :total, type: :money

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
    attribute :cancelled_at, type: :datetime
  end
end