require_relative '../resource'

module Tickethub
  class Channel::Payment < Resource
    path '/channel/payments'

    require_relative 'refund'

    require_relative 'payment/paypal'
    require_relative 'payment/stripe'

    require_relative 'order'

    association :order, Channel::Order

    collection :refunds, Channel::Refund

    attribute :amount, type: :money
    attribute :refunded, type: :money
    attribute :balance, type: :money
    attribute :refunded_at, type: :datetime
    attribute :confirmed_at, type: :datetime

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end