require_relative '../resource'

module Tickethub
  class Channel::Product < Resource
    path '/channel/products'

    require_relative 'booking'
    require_relative 'extra'
    require_relative 'option'
    require_relative 'tier'
    require_relative 'variant'
    require_relative 'question'
    require_relative 'tax'

    require_relative '../contact'
    require_relative '../address'

    association :contact, Tickethub::Contact
    association :address, Tickethub::Address

    collection :bookings, Channel::Booking
    collection :extras, Channel::Extra
    collection :options, Channel::Option
    collection :tiers, Channel::Tier
    collection :variants, Channel::Variant
    collection :questions, Channel::Question
    collection :taxes, Channel::Tax

    attribute :time_zone, type: :timezone
    attribute :currency, type: :currency

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end