module Tickethub
  class Errors

    def initialize(errors)
      @errors = errors || {}
    end

    def full_messages_for(attribute)
      send attribute
    end

    def on(attribute)
      @errors[attribute.to_s]
    end

    def valid?(attribute)
      send(attribute).empty?
    end

    def invalid?(attribute)
      send(attribute).any?
    end

    def [](key)
      send key
    end

    protected

      def method_missing(method, *arguments)
        on(method) || []
      end
  end
end