module Tickethub
  module Formats
    class Format
      def mime_type
      end

      def encode(*args)
      end

      def decode(*args)
      end
    end

    MAPPING = {
      'application/json' => :json
    }

    def self.for(type)
      format = MAPPING[type]
      format && self[format]
    end

    # Lookup the format class from a mime type reference symbol. Example:
    #
    #   Tickethub::Formats[:json] # => Tickethub::Formats::JsonFormat
    def self.[](mime_type_reference)
      Tickethub::Formats.const_get(Helpers.camelize(mime_type_reference.to_s) + 'Format')
    end
  end
end

Dir[File.dirname(__FILE__) + '/formats/*.rb'].sort.each do |path|
  filename = File.basename(path)
  require_relative "formats/#{filename}"
end