require_relative '../resource'

module Tickethub
  class Supplier::Adjustment < Resource
    path '/supplier/adjustments'

    attribute :amount, type: :money

    require_relative 'dispute'
    require_relative 'transfer'
    require_relative 'charge'

    association :dispute, Supplier::Refund
    association :transfer, Supplier::Transfer

    collection :charges, Supplier::Charge

    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime
  end
end