require_relative '../resource'

module Tickethub
  class Supplier::Charge < Resource
    path '/supplier/charges'

    attribute :amount, type: :money
    attribute :tax, type: :money

    association :context, -> (endpoint, attributes) {
      case attributes['object']
        when 'Refund'     then Supplier::Refund.call(endpoint, attributes)
        when 'Payment'    then Supplier::Payment.call(endpoint, attributes)
        when 'Adjustment' then Supplier::Adjustment.call(endpoint, attributes)
      end
    }

    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime
  end
end