require_relative '../resource'

module Tickethub
  class Supplier::Customer < Resource
    path '/supplier/customers'

    require_relative 'booking'
    require_relative 'ticket'
    require_relative 'message'
    require_relative 'source'
    require_relative 'broadcast'

    require_relative '../address'

    collection_method :broadcast do |params|
      Tickethub::Broadcast.call self.endpoint, post(:broadcast, params)
    end

    collection :orders, Supplier::Booking
    collection :tickets, Supplier::Ticket
    collection :sources, Supplier::Source
    collection :messages, Supplier::Message

    association :address, Tickethub::Address
  end
end