require_relative '../resource'

module Tickethub
  class Supplier::Import < Resource
    path '/supplier/imports'

    require_relative 'rate'
    require_relative 'tier'
    require_relative 'reseller'
    require_relative 'variant'
    require_relative 'product'

    association :rate, Supplier::Tier
    association :tier, Supplier::Tier
    association :reseller, Supplier::Reseller
    association :variant, Supplier::Variant
    association :product, Supplier::Product

    collection :bookings, Supplier::Booking

    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime 
  end
end