require_relative '../resource'

module Tickethub
  class Supplier::Message < Resource
    path '/supplier/messages'

    require_relative 'user'
    require_relative 'message/email'
    require_relative 'message/sms'
    require_relative '../contact'

    association :user, Supplier::User
    association :contact, Tickethub::Contact
    association :customer, Supplier::Customer

    association :context, -> (endpoint, attributes, options = {}, params = {}) {
      case attributes['object']
        when 'Booking'  then Supplier::Booking.call(endpoint, attributes, options, params)
        when 'Customer' then Supplier::Customer.call(endpoint, attributes, options, params)
        when 'Order'    then Supplier::Order.call(endpoint, attributes, options, params)
        when 'Reseller' then Supplier::Reseller.call(endpoint, attributes, options, params)
      end
    }

    attribute :created_at, type: :datetime

    collection :replies, Supplier::Message
  end
end