require_relative '../resource'

module Tickethub
  class Supplier::Option < Resource
    path '/supplier/options'

    scope :dates, -> (params) { @endpoint[:dates].get(params).decoded }
    scope :active

    require_relative 'ticket'
    require_relative 'season'
    require_relative 'user'

    association :season, Supplier::Season
    association :user, Supplier::User

    collection :tickets, Supplier::Ticket

    attribute :date_time, type: :datetime

    attribute :time, type: :time
    attribute :total, type: :money
  end
end