require_relative '../resource'

module Tickethub
  class Supplier::Payment < Resource
    path '/supplier/payments'

    require_relative 'charge'
    require_relative 'refund'

    require_relative 'payment/cash'
    require_relative 'payment/credit'
    require_relative 'payment/direct'
    require_relative 'payment/stripe'
    require_relative 'payment/paypal'
    require_relative 'payment/external'
    require_relative 'payment/spreedly'
    require_relative 'payment/handpoint'

    require_relative 'order'
    require_relative 'user'

    association :order, Supplier::Order
    association :user, Supplier::User

    collection :refunds, Supplier::Refund
    collection :charges, Supplier::Charge

    attribute :balance, type: :money
    attribute :amount, type: :money
    attribute :refunded, type: :money
    attribute :refunded_at, type: :datetime
    attribute :confirmed_at, type: :datetime

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end