require_relative '../resource'

module Tickethub
  class Supplier::Refund < Resource
    path '/supplier/refunds'

    require_relative 'payment'
    require_relative 'user'
    require_relative 'transfer'
    require_relative 'charge'

    association :payment, Supplier::Payment
    association :user, Supplier::User
    association :transfer, Supplier::Transfer

    collection :charges, Supplier::Charge

    attribute :amount, type: :money

    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end