require_relative '../resource'

module Tickethub
  class Supplier::Reseller < Resource
    path '/supplier/resellers'

    require_relative 'invoice'
    require_relative 'product'
    require_relative 'message'
    require_relative 'channel'
    require_relative 'broadcast'
    require_relative 'rate'
    require_relative 'tax'

    require_relative '../contact'
    require_relative '../address'

    collection_method :broadcast do |params|
      Tickethub::Broadcast.call self.endpoint, post(:broadcast, params)
    end

    collection :invoices, Supplier::Invoice
    collection :products, Supplier::Product
    collection :messages, Supplier::Message
    collection :channels, Supplier::Channel
    collection :rates, Supplier::Rate
    collection :taxes, Supplier::Tax

    association :contact, Tickethub::Contact
    association :address, Tickethub::Address

    attribute :period, type: :duration
    attribute :notice, type: :duration
    attribute :currency, type: :currency

    attribute :limit, type: :money
    attribute :balance, type: :money
    attribute :overdue, type: :money

    attribute :next_invoice_date, type: :date
    attribute :first_invoice_date, type: :date
  end
end