require_relative '../resource'

module Tickethub
  class Supplier::Season < Resource
    path '/supplier/seasons'

    require_relative 'option'
    require_relative 'product'

    collection :options, Supplier::Option
    association :product, Supplier::Product

    attribute :starts_on, type: :date
    attribute :ends_on, type: :date

    def duplicate(params = {})
      self.class.call @endpoint, @endpoint[:duplicate].post(params)
    end
  end
end