require 'date'
require_relative '../resource'

module Tickethub
  class Supplier::Ticket < Resource
    path '/supplier/tickets'

    require_relative 'booking'
    require_relative 'tier'
    require_relative 'scan'

    association :booking, Supplier::Booking
    association :tier, Supplier::Tier

    collection :scans, Supplier::Scan

    attribute :price, type: :money
    attribute :interval, type: :duration

    attribute :last_scan_at, type: :datetime
    attribute :expires_at, type: :datetime
    attribute :updated_at, type: :datetime
    attribute :created_at, type: :datetime
  end
end