require_relative '../resource'

module Tickethub
  class Supplier::Transfer < Resource
    path '/supplier/transfers'

    require_relative 'payment'
    require_relative 'refund'
    require_relative 'adjustment'

    collection :payments, Supplier::Payment
    collection :refunds, Supplier::Refund
    collection :adjustments, Supplier::Adjustment

    attribute :amount, type: :money

    attribute :date, type: :date
    attribute :created_at, type: :datetime
    attribute :updated_at, type: :datetime
  end
end